%define anolis_release 2

Name:           gcab
Version:        1.5
Release:        %{anolis_release}%{?dist}
Summary:        Cabinet file library and tool

License:        LGPLv2+
URL:            http://ftp.gnome.org/pub/GNOME/sources/gcab
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gcab/%{version}/%{name}-%{version}.tar.xz
Patch0000:      0001-meson-git-version-is-optional.patch


BuildRequires:  git-core
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  vala
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  zlib-devel
BuildRequires:  meson
BuildRequires:  git

Requires:       libgcab1 = %{version}-%{release}

%description
gcab is a tool to manipulate Cabinet archive.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package -n libgcab1
Summary:        Library to create Cabinet archives

%description -n libgcab1
libgcab is a library to manipulate Cabinet archive using GIO/GObject.

%package -n libgcab1-devel
Summary:        Development files to create Cabinet archives
Requires:       libgcab1 = %{version}-%{release}
Requires:       glib2-devel
Requires:       pkgconfig

%description -n libgcab1-devel
libgcab is a library to manipulate Cabinet archive.

Libraries, includes, etc. to compile with the gcab library.

%prep
%autosetup -S git_am

%build
%meson
%meson_build

%check
%meson_test

%install
%meson_install

%find_lang %{name}

%ldconfig_scriptlets -n libgcab1

%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/gcab
%{_mandir}/man1/gcab.1*
%{abidir}/gcab-option.list

%files -n libgcab1 -f %{name}.lang
%license COPYING
%{_libdir}/girepository-1.0/GCab-1.0.typelib
%{_libdir}/libgcab-1.0.so.*
%dir %{abidir}
%{abidir}/libgcab-1.0.dump

%files -n libgcab1-devel
%{_datadir}/gir-1.0/GCab-1.0.gir
%{_datadir}/gtk-doc/html/gcab/*
%{_datadir}/vala/vapi/libgcab-1.0.vapi
%{_datadir}/vala/vapi/libgcab-1.0.deps
%{_includedir}/libgcab-1.0/*
%{_libdir}/libgcab-1.0.so
%{_libdir}/pkgconfig/libgcab-1.0.pc

%files doc
%doc NEWS README.md RELEASE

%changelog
* Wed Mar  1 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 1.5-2
- Optimize spec

* Wed Sep 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.5-1
- update to 1.5

* Fri Mar 18 2022 forrest_ly <flin@linux.alibaba.com> - 1.4-1
- Init for Anolis OS 23
